org.eclipse.ui.views.properties

## Interface IPropertySheetEntryListener

    public interface IPropertySheetEntryListener

Listener for changes in objects of type `IPropertySheetEntry`.

This interface is public since it appears in the api of `IPropertySheetEntry`. It is not intended to be implemented outside of this package.

Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `childEntriesChanged(IPropertySheetEntry node)` A node's children have changed (children added or removed)
`void` `errorMessageChanged(IPropertySheetEntry entry)` A entry's error message has changed
`void` `valueChanged(IPropertySheetEntry entry)` A entry's value has changed

### Method Detail

#### childEntriesChanged

    void childEntriesChanged(IPropertySheetEntry node)

A node's children have changed (children added or removed)

Parameters:
  `node` - the node whose's children have changed

#### errorMessageChanged

    void errorMessageChanged(IPropertySheetEntry entry)

A entry's error message has changed

Parameters:
  `entry` - the entry whose's error message has changed

#### valueChanged

    void valueChanged(IPropertySheetEntry entry)

A entry's value has changed

Parameters:
  `entry` - the entry whose's value has changed